/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: EventVO.java 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.admin.vo;

import java.io.Serializable;
import java.util.Date;

import org.ow2.sirocco.cloudmanager.business.Event;
import org.ow2.sirocco.cloudmanager.business.Event.Level;

public class EventVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String type;

    private String description;

    private String detail;

    private String objectId;

    private String projectId;

    private Level level;

    private Date time;

    public static EventVO from(final Event from) {
        EventVO event = new EventVO();
        event.type = from.getType();
        event.description = from.getDescription();
        event.detail = from.getDetail();
        event.objectId = from.getObjectId();
        event.level = from.getLevel();
        event.time = from.getTime();
        event.projectId = from.getProjectId();
        return event;
    }

    public String getType() {
        return this.type;
    }

    public void setType(final String type) {
        this.type = type;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(final String description) {
        this.description = description;
    }

    public String getDetail() {
        return this.detail;
    }

    public void setDetail(final String detail) {
        this.detail = detail;
    }

    public String getObjectId() {
        return this.objectId;
    }

    public void setObjectId(final String objectId) {
        this.objectId = objectId;
    }

    public Level getLevel() {
        return this.level;
    }

    public void setLevel(final Level level) {
        this.level = level;
    }

    public Date getTime() {
        return this.time;
    }

    public void setTime(final Date time) {
        this.time = time;
    }

    @Override
    public String toString() {
        return "EventVO [type=" + this.type + ", description=" + this.description + ", detail=" + this.detail + ", objectId="
            + this.objectId + ", projectId=" + this.projectId + ", level=" + this.level + ", time=" + this.time + "]";
    }

    public void setProjectId(final String projectId) {
        this.projectId = projectId;
    }

    public String getProjectId() {
        return this.projectId;
    }

}
