package org.ow2.sirocco.cloudmanager.admin.vo;

import java.util.ArrayList;

import org.ow2.sirocco.cloudmanager.business.CustomizationProperties;
import org.ow2.sirocco.cloudmanager.business.NetworkInstance;
import org.ow2.sirocco.cloudmanager.business.NetworkTemplate;
import org.ow2.sirocco.cloudmanager.business.SystemInstance;
import org.ow2.sirocco.cloudmanager.business.SystemTemplate;
import org.ow2.sirocco.cloudmanager.business.VirtualMachine;
import org.ow2.sirocco.cloudmanager.business.VirtualMachineTemplate;
import org.ow2.sirocco.cloudmanager.business.Volume;
import org.ow2.sirocco.cloudmanager.business.VolumeTemplate;

public class FromNonVOToVO {

    public static SystemInstanceVO fromSystemInstanceToSystemInstanceVO(final SystemInstance fromSi) {
        SystemInstanceVO result = new SystemInstanceVO();

        result.setId(fromSi.getId().toString());

        if (fromSi.getStatus() == null) {
            result.setStatus(null);
        } else {
            result.setStatus(fromSi.getStatus().name());
        }

        if (fromSi.getUser() == null) {
            result.setUserId(null);
        } else {
            result.setUserId(fromSi.getUser().getId().toString());
        }

        if (fromSi.getProject() == null) {
            result.setProjectId(null);
        } else {
            result.setProjectId(fromSi.getProject().getId().toString());
        }

        if (fromSi.getSystemTemplate() == null) {
            result.setSystemTemplateId(null);
        } else {
            result.setSystemTemplateId(fromSi.getSystemTemplate().getId().toString());
        }

        if (fromSi.getVirtualMachines() == null) {
            result.setVirtualMachinesId(null);
        } else {
            result.setVirtualMachinesId(new ArrayList<String>());
            for (VirtualMachine vm : fromSi.getVirtualMachines()) {
                result.getVirtualMachinesId().add(vm.getId().toString());
            }
        }

        if (fromSi.getVolumes() == null) {
            result.setVolumesId(null);
        } else {
            result.setVolumesId(new ArrayList<String>());
            for (Volume v : fromSi.getVolumes()) {
                result.getVolumesId().add(v.getId().toString());
            }
        }

        if (fromSi.getNetworks() == null) {
            result.setNetworksId(null);
        } else {
            result.setNetworksId(new ArrayList<String>());
            for (NetworkInstance n : fromSi.getNetworks()) {
                result.getNetworksId().add(n.getId().toString());
            }
        }

        return result;
    }

    public static SystemTemplateVO fromSystemTemplateToSystemTemplateVO(final SystemTemplate fromSt) {
        SystemTemplateVO result = new SystemTemplateVO();

        result.setId(fromSt.getId().toString());

        result.setName(fromSt.getName());

        if (fromSt.getStatus() == null) {
            result.setStatus(null);
        } else {
            result.setStatus(fromSt.getStatus().name());
        }

        if (fromSt.getUser() == null) {
            result.setUserId(null);
        } else {
            result.setUserId(fromSt.getUser().getId().toString());
        }

        if (fromSt.getProject() == null) {
            result.setUserId(null);
        } else {
            result.setUserId(fromSt.getProject().getId().toString());
        }

        if (fromSt.getCustomizationProperties() == null) {
            result.setCustomizationPropertiesId(null);
        } else {
            result.setCustomizationPropertiesId(new ArrayList<String>());
            for (CustomizationProperties c : fromSt.getCustomizationProperties()) {
                result.getCustomizationPropertiesId().add(c.getId().toString());
            }
        }

        if (fromSt.getNetworkTemplates() == null) {
            result.setNetworkTemplatesId(null);
        } else {
            result.setNetworkTemplatesId(new ArrayList<String>());
            for (NetworkTemplate n : fromSt.getNetworkTemplates()) {
                result.getNetworkTemplatesId().add(n.getId().toString());
            }
        }

        if (fromSt.getSystemInstances() == null) {
            result.setSystemInstancesId(null);
        } else {
            result.setSystemInstancesId(new ArrayList<String>());
            for (SystemInstance s : fromSt.getSystemInstances()) {
                result.getSystemInstancesId().add(s.getId().toString());
            }
        }

        if (fromSt.getVirtualMachineTemplates() == null) {
            result.setVirtualMachineTemplatesId(null);
        } else {
            result.setVirtualMachineTemplatesId(new ArrayList<String>());
            for (VirtualMachineTemplate v : fromSt.getVirtualMachineTemplates()) {
                result.getVirtualMachineTemplatesId().add(v.getId().toString());
            }
        }

        if (fromSt.getVolumeTemplates() == null) {
            result.setVolumeTemplatesId(null);
        } else {
            result.setVolumeTemplatesId(new ArrayList<String>());
            for (VolumeTemplate v : fromSt.getVolumeTemplates()) {
                result.getVolumeTemplatesId().add(v.getId().toString());
            }
        }

        return result;
    }
}
