package org.ow2.sirocco.cloudmanager.admin.vo;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

import org.ow2.sirocco.cloudmanager.business.VirtualMachine;
import org.ow2.sirocco.cloudmanager.business.Volume;

public class VolumeVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String volumeId;

    private String projectId;

    private String userName;

    private String status;

    private String name;

    private String description;

    private long capacityInMB;

    private boolean bootableVolume;

    private String visibility;

    private List<String> attachedVirtualMachineIds;

    private Date creationDate;

    public static VolumeVO from(final Volume from) {
        VolumeVO vol = new VolumeVO();
        vol.setVolumeId(from.getId().toString());
        if (from.getUser() != null) {
            vol.setUserName(from.getUser().getUsername());
        } else {
            vol.setUserName(null);
        }
        if (from.getProject() != null) {
            vol.setProjectId((from.getProject().getProjectId()));
        } else {
            vol.setProjectId(null);
        }
        vol.setBootableVolume(from.getBootableVolume());
        vol.setCapacityInMB(from.getCapacityInMB());
        vol.setDescription(from.getDescription());
        vol.setName(from.getName());
        vol.setStatus(from.getStatus().toString());
        vol.setVisibility(from.getVisibility().toString());
        List<String> attachedVMs = new ArrayList<String>();
        for (VirtualMachine vm : from.getVirtualMachines()) {
            attachedVMs.add(vm.getId().toString());
        }
        vol.setAttachedVirtualMachineIds(attachedVMs);
        vol.setCreationDate(from.getCreateDate());
        return vol;
    }

    public String getVolumeId() {
        return this.volumeId;
    }

    public void setVolumeId(final String volumeId) {
        this.volumeId = volumeId;
    }

    public String getName() {
        return this.name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(final String description) {
        this.description = description;
    }

    public long getCapacityInMB() {
        return this.capacityInMB;
    }

    public void setCapacityInMB(final long capacityInMB) {
        this.capacityInMB = capacityInMB;
    }

    public boolean isBootableVolume() {
        return this.bootableVolume;
    }

    public void setBootableVolume(final boolean bootableVolume) {
        this.bootableVolume = bootableVolume;
    }

    public String getProjectId() {
        return this.projectId;
    }

    public void setProjectId(final String projectId) {
        this.projectId = projectId;
    }

    public String getUserName() {
        return this.userName;
    }

    public void setUserName(final String userName) {
        this.userName = userName;
    }

    public String getStatus() {
        return this.status;
    }

    public void setStatus(final String status) {
        this.status = status;
    }

    public String getVisibility() {
        return this.visibility;
    }

    public void setVisibility(final String visibility) {
        this.visibility = visibility;
    }

    public List<String> getAttachedVirtualMachineIds() {
        return this.attachedVirtualMachineIds;
    }

    public void setAttachedVirtualMachineIds(final List<String> attachedVirtualMachineIds) {
        this.attachedVirtualMachineIds = attachedVirtualMachineIds;
    }

    public Date getCreationDate() {
        return this.creationDate;
    }

    public void setCreationDate(final Date creationDate) {
        this.creationDate = creationDate;
    }

}
