/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: NetworkInterfaceTemplate.java 220 2011-08-01 13:13:33Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.business;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.GenerationType;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;

@SuppressWarnings("serial")
@Entity
public class NetworkInterfaceTemplate implements Serializable {

    // Warning "key" can't be an attribut --> this is a reserved attribut !

    /**
     * This is the networkInterfaceTemplateId from Sirocco's (technical) point
     * of view.
     */
    private Integer id;

    /**
     * This is the networkInterfaceTemplateId inside the SystemTemplate point of
     * view.
     */
    private String name;

    private NetworkTemplate networkTemplate;

    private VirtualMachineTemplate virtualMachineTemplate;

    public NetworkInterfaceTemplate() {
        // This contructor is required by JPA when using non-empty
        // contructor(s).
    }

    @Id
    @GeneratedValue(strategy = GenerationType.AUTO)
    public Integer getId() {
        return this.id;
    }

    public void setId(final Integer id) {
        this.id = id;
    }

    public String getName() {
        return this.name;
    }

    public void setName(final String name) {
        this.name = name;
    }

    @ManyToOne
    // @JoinColumn(name = "NetworkTemplate_id", nullable = false)
    @JoinColumn(name = "NetworkTemplate_id")
    public NetworkTemplate getNetworkTemplate() {
        return this.networkTemplate;
    }

    public void setNetworkTemplate(final NetworkTemplate networkTemplate) {
        this.networkTemplate = networkTemplate;
    }

    @ManyToOne
    // @JoinColumn(name = "VirtualMachineTemplate_id", nullable = false)
    @JoinColumn(name = "VirtualMachineTemplate_id")
    public VirtualMachineTemplate getVirtualMachineTemplate() {
        return this.virtualMachineTemplate;
    }

    public void setVirtualMachineTemplate(final VirtualMachineTemplate virtualMachineTemplate) {
        this.virtualMachineTemplate = virtualMachineTemplate;
    }

    @Override
    public String toString() {
        String s = this.getClass().getSimpleName() + "=[id=" + this.getId() + ", name=" + this.getName() + ", networkTemplate="
            + this.getNetworkTemplate() + ", virtualMachineTemplate=" + this.getVirtualMachineTemplate() + "]";
        return s;
    }
}
