/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: IRealmConstants.java 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.realm;

import org.ow2.sirocco.cloudmanager.common.DbParameters;

public interface IRealmConstants {

    // ldap server constants
    public static final String LDAP_SERVER_IP = DbParameters.getInstance().LDAP_SERVER_IP;

    public static final String LDAP_BASENAME = DbParameters.getInstance().LDAP_BASENAME;

    // shared constants
    public static final String COMMON_TITLE_BASE = "SecurityFilter Example Application: ";

    public static final String VALID_USERNAME = "username";

    public static final String VALID_PASSWORD = "password";

    public static final String VALID_USERNAME2 = "username2";

    public static final String VALID_PASSWORD2 = "password2";

    public static final String VALID_ROLE = "inthisrole";

    // home page constants
    public static final String HOME_TITLE = IRealmConstants.COMMON_TITLE_BASE + "Home";

    public static final String HOME_FORM_ID = "homeForm";

    public static final String HOME_POST_FIELD = "postMe";

    // login form constants
    public static final String LOGIN_TITLE = IRealmConstants.COMMON_TITLE_BASE + "Login Page";

    public static final String LOGIN_FORM_ID = "loginForm";

    public static final String LOGIN_FORM_ACTION = "j_security_check";

    public static final String LOGIN_USERNAME_FIELD = "j_username";

    public static final String LOGIN_PASSWORD_FIELD = "j_password";

    public static final String LOGIN_REMEMBERME_FIELD = "j_rememberme";

    // secure page constants
    public static final String SECURE_TITLE = IRealmConstants.COMMON_TITLE_BASE + "Secure Page";

    public static final String SECURE_POSTED_VALUE_FORM = "postedValueForm";

    public static final String SECURE_POSTED_VALUE_FIELD = "postedValue";

    public static final String SECURE_LAST_POSTED_VALUE_FIELD = "lastPostedValue";

    // logout page constants
    public static final String LOGOUT_TITLE = IRealmConstants.COMMON_TITLE_BASE + "Logout";

}
