/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: ProjectPlanningByTimeUnit.java 87 2011-06-30 15:07:34Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.service.reservation.impl;

import java.util.LinkedHashSet;

public class ProjectPlanningByTimeUnit {

    /**
     * -1 means unbound.
     */
    private Integer availableCPUResourcesForThisProjectInThisTimeUnit = null;

    /**
     * -1 means unbound.
     */
    private Integer availableMemoryResourcesForThisProjectInThisTimeUnit = null;

    /**
     * -1 means unbound.
     */
    private Integer availableStorageResourcesForThisProjectInThisTimeUnit = null;

    /**
     * Contains (at least) the reservations id appearing in this TimeUnit.
     */
    private LinkedHashSet<Integer> reservationIdSet = null;

    public ProjectPlanningByTimeUnit(final Integer availableCPUResourcesForThisProjectInThisTimeUnit,
        final Integer availableMemoryResourcesForThisProjectInThisTimeUnit,
        final Integer availableStorageResourcesForThisProjectInThisTimeUnit, final LinkedHashSet<Integer> reservationIdSet) {
        this.availableCPUResourcesForThisProjectInThisTimeUnit = availableCPUResourcesForThisProjectInThisTimeUnit;
        this.availableMemoryResourcesForThisProjectInThisTimeUnit = availableMemoryResourcesForThisProjectInThisTimeUnit;
        this.availableStorageResourcesForThisProjectInThisTimeUnit = availableStorageResourcesForThisProjectInThisTimeUnit;
        this.reservationIdSet = reservationIdSet;
    }

    public final Integer getAvailableCPUResourcesForThisProjectInThisTimeUnit() {
        return this.availableCPUResourcesForThisProjectInThisTimeUnit;
    }

    public final void setAvailableCPUResourcesForThisProjectInThisTimeUnit(
        final Integer availableCPUResourcesForThisProjectInThisTimeUnit) {
        this.availableCPUResourcesForThisProjectInThisTimeUnit = availableCPUResourcesForThisProjectInThisTimeUnit;
    }

    public final Integer getAvailableMemoryResourcesForThisProjectInThisTimeUnit() {
        return this.availableMemoryResourcesForThisProjectInThisTimeUnit;
    }

    public final void setAvailableMemoryResourcesForThisProjectInThisTimeUnit(
        final Integer availableMemoryResourcesForThisProjectInThisTimeUnit) {
        this.availableMemoryResourcesForThisProjectInThisTimeUnit = availableMemoryResourcesForThisProjectInThisTimeUnit;
    }

    public final Integer getAvailableStorageResourcesForThisProjectInThisTimeUnit() {
        return this.availableStorageResourcesForThisProjectInThisTimeUnit;
    }

    public final void setAvailableStorageResourcesForThisProjectInThisTimeUnit(
        final Integer availableStorageResourcesForThisProjectInThisTimeUnit) {
        this.availableStorageResourcesForThisProjectInThisTimeUnit = availableStorageResourcesForThisProjectInThisTimeUnit;
    }

    public final LinkedHashSet<Integer> getReservationIdSet() {
        return this.reservationIdSet;
    }

    public final void setReservationIdSet(final LinkedHashSet<Integer> reservationIdSet) {
        this.reservationIdSet = reservationIdSet;
    }

    @Override
    public String toString() {
        return this.getClass().getName() + " [availableCPUResourcesForThisProjectInThisTimeUnit="
            + this.getAvailableCPUResourcesForThisProjectInThisTimeUnit()
            + " availableMemoryResourcesForThisProjectInThisTimeUnit="
            + this.getAvailableMemoryResourcesForThisProjectInThisTimeUnit()
            + " availableStorageResourcesForThisProjectInThisTimeUnit="
            + this.getAvailableStorageResourcesForThisProjectInThisTimeUnit() + " reservationIdSet="
            + this.getReservationIdSet() + "]";
    }
}
