/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: ResourcesPoolPlanningByTimeUnit.java 36 2011-06-20 14:38:41Z dangtran $
 *
 */

package org.ow2.sirocco.cloudmanager.service.reservation.impl;

import java.util.Hashtable;

public class ResourcesPoolPlanningByTimeUnit {

    private Long availableCPUResourcesForThisResourcePoolInThisTimeUnit = null;

    private Long availableMemoryResourcesForThisResourcePoolInThisTimeUnit = null;

    private Long availableStorageResourcesForThisResourcePoolInThisTimeUnit = null;

    /**
     * projectId, projectPlanningByTimeUnit
     * Hashtable<String,ProjectPlanningByTimeUnit>
     */
    private Hashtable<String, ProjectPlanningByTimeUnit> projectHavingAResourcesReservationInThisTimeUnit = null;

    public ResourcesPoolPlanningByTimeUnit(final Long availableCPUResourcesForThisResourcePoolInThisTimeUnit,
        final Long availableMemoryResourcesForThisResourcePoolInThisTimeUnit,
        final Long availableStorageResourcesForThisResourcePoolInThisTimeUnit,
        final Hashtable<String, ProjectPlanningByTimeUnit> projectHavingAResourcesReservationInThisTimeUnit) {
        this.availableCPUResourcesForThisResourcePoolInThisTimeUnit = availableCPUResourcesForThisResourcePoolInThisTimeUnit;
        this.availableMemoryResourcesForThisResourcePoolInThisTimeUnit = availableMemoryResourcesForThisResourcePoolInThisTimeUnit;
        this.availableStorageResourcesForThisResourcePoolInThisTimeUnit = availableStorageResourcesForThisResourcePoolInThisTimeUnit;
        this.projectHavingAResourcesReservationInThisTimeUnit = projectHavingAResourcesReservationInThisTimeUnit;
    }

    public Long getAvailableCPUResourcesForThisResourcePoolInThisTimeUnit() {
        return this.availableCPUResourcesForThisResourcePoolInThisTimeUnit;
    }

    public void setAvailableCPUResourcesForThisResourcePoolInThisTimeUnit(
        final Long availableCPUResourcesForThisResourcePoolInThisTimeUnit) {
        this.availableCPUResourcesForThisResourcePoolInThisTimeUnit = availableCPUResourcesForThisResourcePoolInThisTimeUnit;
    }

    public Long getAvailableMemoryResourcesForThisResourcePoolInThisTimeUnit() {
        return this.availableMemoryResourcesForThisResourcePoolInThisTimeUnit;
    }

    public void setAvailableMemoryResourcesForThisResourcePoolInThisTimeUnit(
        final Long availableMemoryResourcesForThisResourcePoolInThisTimeUnit) {
        this.availableMemoryResourcesForThisResourcePoolInThisTimeUnit = availableMemoryResourcesForThisResourcePoolInThisTimeUnit;
    }

    public Long getAvailableStorageResourcesForThisResourcePoolInThisTimeUnit() {
        return this.availableStorageResourcesForThisResourcePoolInThisTimeUnit;
    }

    public void setAvailableStorageResourcesForThisResourcePoolInThisTimeUnit(
        final Long availableStorageResourcesForThisResourcePoolInThisTimeUnit) {
        this.availableStorageResourcesForThisResourcePoolInThisTimeUnit = availableStorageResourcesForThisResourcePoolInThisTimeUnit;
    }

    public final Hashtable<String, ProjectPlanningByTimeUnit> getProjectHavingAResourcesReservationInThisTimeUnit() {
        return this.projectHavingAResourcesReservationInThisTimeUnit;
    }

    public final void setProjectHavingAResourcesReservationInThisTimeUnit(
        final Hashtable<String, ProjectPlanningByTimeUnit> projectHavingAResourcesReservationInThisTimeUnit) {
        this.projectHavingAResourcesReservationInThisTimeUnit = projectHavingAResourcesReservationInThisTimeUnit;
    }

    @Override
    public String toString() {
        return this.getClass().getName() + " [availableCPUResourcesForThisResourcePoolInThisTimeUnit="
            + this.getAvailableCPUResourcesForThisResourcePoolInThisTimeUnit()
            + " availableMemoryResourcesForThisResourcePoolInThisTimeUnit="
            + this.getAvailableMemoryResourcesForThisResourcePoolInThisTimeUnit()
            + " availableStorageResourcesForThisResourcePoolInThisTimeUnit="
            + this.getAvailableStorageResourcesForThisResourcePoolInThisTimeUnit()
            + " projectHavingAResourcesReservationInThisTimeUnit=" + this.getProjectHavingAResourcesReservationInThisTimeUnit()
            + "]";
    }

}
