/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: LoadTimers.java 341 2011-09-22 09:33:16Z chazalet $
 *
 */

package org.ow2.sirocco.cloudmanager.utils;

import java.util.logging.Logger;

import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContextEvent;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;

import org.ow2.sirocco.cloudmanager.service.IDestroyExpiredVMTimer;
import org.ow2.sirocco.cloudmanager.service.IRefreshVMStateTimer;
import org.ow2.sirocco.cloudmanager.service.reservation.api.IDestroyVMOfExpiredReservationTimer;

public class LoadTimers extends HttpServlet {

    private static final long serialVersionUID = -6819281120712187423L;

    private Object obj;

    private Object obj2;

    private Object obj3;

    private Object obj4;

    private InitialContext context;

    private IRefreshVMStateTimer timerController2;

    private IDestroyExpiredVMTimer timerController3;

    private IDestroyVMOfExpiredReservationTimer timerController4;

    private Logger log = Logger.getLogger(LoadTimers.class.getName());

    @Override
    public void init(final ServletConfig config) throws ServletException {
        try {
            this.context = new InitialContext();

            // TODO (some or all) timers must be updated in order to take
            // MultiCloud into account, and to avoid error like:
            // RefreshVMStateTimerSessionBean.handleTimeout : Cannot retrieve
            // MBean for VM myVmName.

            this.obj2 = this.context.lookup("RefreshVMStateTimerSessionBean");
            this.obj3 = this.context.lookup("DestroyExpiredVMTimerSessionBean");
            this.obj4 = this.context.lookup("DestroyVMOfExpiredReservationTimerSessionBean");

        } catch (NamingException e) {
            e.printStackTrace();
        }
        this.log.info("Starting all timers !!!");
        this.timerController2 = (IRefreshVMStateTimer) this.obj2;
        this.timerController3 = (IDestroyExpiredVMTimer) this.obj3;
        this.timerController4 = (IDestroyVMOfExpiredReservationTimer) this.obj4;

        this.timerController2.stopTimers();
        this.timerController3.stopTimers();
        this.timerController4.stopTimers();

        // this.timerController.startTimer();
        this.timerController2.startTimer();
        this.timerController3.startTimer();
        // this.timerController4.startTimer();
    }

    public void contextDestroyed(final ServletContextEvent event) {
        this.log.info("Context Destroyed !!!");
    }

}
